<script setup>
import { getCrmTerceros } from '../schema/crmTercero.graphql';
definePageMeta({ middleware: 'auth' })

const query = gql`${getCrmTerceros}`
const variables = {
  page: 1,
  itemsPerPage: 1,
}
const graphqlAction = async () => await useAsyncQuery(query, variables)
</script>

<template>
  <Layout>
    <template #mainContent>
      <button class="btn btn-info" @click="graphqlAction">graphql</button>
    </template>
  </Layout>
</template>
